#programa : Busqueda1.py
#autor : jorge nolasco valenzuela
#fecha : 14-07-2017
"""
descripcion : este programa muestra
la busqueda de Nombres en una Archivo
"""
import sys
#creamos un conjunto vacio llamado Nombres
Nombres=set()
try:
    #Abrir el archivo : archivo.txt
    Fichero=open('archivo.txt')
    #adicionar linea a linea el contenido del archivo al conjunto Nombres
    for line in Fichero:
        Nombres.add(line.strip())
except:
    print("Error Fichero")
    sys.exit()
#ingresar Nombre a Buscar
palabra=input("Ingrese Nombre a Buscar:")
#Buscar Nombre
if (palabra in Nombres):
    print("Nombre Encontrado")
else:
    print("Nombre Encontrado")

